nxt

## Class Constants

- java.lang.Object
- - nxt.Constants

-     public final class Constants
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ACCOUNT_PREFIX`
    `static java.lang.String[]` | `ALL_SECRET_PHRASE_WORDS`
    `static java.lang.String` | `ALLOWED_CURRENCY_CODE_LETTERS`
    `static java.lang.String` | `ALPHABET`
    `static int` | `ASSET_PROPERTIES_BLOCK`
    `static int` | `BASE_TARGET_GAMMA`
    `static int` | `BATCH_COMMIT_SIZE`
    `static int` | `BLOCK_TIME`
    `static long` | `BURN_ACCOUNT_ID`
    `static int` | `CHECKSUM_BLOCK_1`
    `static int` | `CHECKSUM_BLOCK_2`
    `static int` | `CHECKSUM_BLOCK_3`
    `static int` | `CHECKSUM_BLOCK_4`
    `static int` | `CHECKSUM_BLOCK_5`
    `static java.lang.String` | `COMPRESSED_SECRET_PHRASE_WORDS`
    `static boolean` | `correctInvalidFees`
    `static java.lang.String` | `customLoginWarning`
    `static int` | `DEFAULT_NUMBER_OF_FORK_CONFIRMATIONS`
    `static boolean` | `DISABLE_FULL_TEXT_SEARCH`
    `static boolean` | `DISABLE_METADATA_DETECTION`
    `static boolean` | `ENABLE_PRUNING`
    `static long` | `EPOCH_BEGINNING`
    `static int` | `FORGING_DELAY`
    `static int` | `FORGING_SPEEDUP`
    `static int` | `GUARANTEED_BALANCE_CONFIRMATIONS`
    `static boolean` | `INCLUDE_EXPIRED_PRUNABLE`
    `static long` | `INITIAL_BASE_TARGET`
    `static boolean` | `isAutomatedTest`
    `static boolean` | `isLightClient`
    `static boolean` | `isOffline`
    `static boolean` | `isPermissioned`
    `static boolean` | `isTestnet`
    `static int` | `LAST_CHECKSUM_BLOCK`
    `static int` | `LAST_KNOWN_BLOCK`
    `static long` | `LAST_KNOWN_BLOCK_ID`
    `static int` | `LEASING_DELAY`
    `static int` | `LIGHT_CONTRACTS_BLOCK`
    `static int` | `MAX_ACCOUNT_DESCRIPTION_LENGTH`
    `static int` | `MAX_ACCOUNT_NAME_LENGTH`
    `static int` | `MAX_ACCOUNT_PROPERTY_NAME_LENGTH`
    `static int` | `MAX_ACCOUNT_PROPERTY_VALUE_LENGTH`
    `static int` | `MAX_ALIAS_LENGTH`
    `static int` | `MAX_ALIAS_URI_LENGTH`
    `static int` | `MAX_ARBITRARY_MESSAGE_LENGTH`
    `static int` | `MAX_ASSET_DESCRIPTION_LENGTH`
    `static int` | `MAX_ASSET_NAME_LENGTH`
    `static int` | `MAX_ASSET_PROPERTY_NAME_LENGTH`
    `static int` | `MAX_ASSET_PROPERTY_VALUE_LENGTH`
    `static long` | `MAX_ASSET_QUANTITY_QNT`
    `static long` | `MAX_BALANCE_FXT`
    `static long` | `MAX_BALANCE_NQT`
    `static long` | `MAX_BASE_TARGET`
    `static int` | `MAX_BLOCKTIME_DELTA`
    `static int` | `MAX_CHILDBLOCK_PAYLOAD_LENGTH`
    `static int` | `MAX_CONTRACT_NAME_LENGTH`
    `static int` | `MAX_CONTRACT_PARAMS_LENGTH`
    `static int` | `MAX_CURRENCY_CODE_LENGTH`
    `static int` | `MAX_CURRENCY_DESCRIPTION_LENGTH`
    `static int` | `MAX_CURRENCY_NAME_LENGTH`
    `static long` | `MAX_CURRENCY_TOTAL_SUPPLY`
    `static int` | `MAX_DGS_GOODS_LENGTH`
    `static int` | `MAX_DGS_LISTING_DESCRIPTION_LENGTH`
    `static int` | `MAX_DGS_LISTING_NAME_LENGTH`
    `static int` | `MAX_DGS_LISTING_QUANTITY`
    `static int` | `MAX_DGS_LISTING_TAGS_LENGTH`
    `static int` | `MAX_DIVIDEND_PAYMENT_ROLLBACK`
    `static int` | `MAX_ENCRYPTED_MESSAGE_LENGTH`
    `static int` | `MAX_MINTING_RATIO`
    `static int` | `MAX_NUMBER_OF_CHILD_TRANSACTIONS`
    `static int` | `MAX_NUMBER_OF_FXT_TRANSACTIONS`
    `static byte` | `MAX_NUMBER_OF_SHUFFLING_PARTICIPANTS`
    `static int` | `MAX_PHASING_COMPOSITE_VOTE_EXPRESSION_LENGTH`
    `static int` | `MAX_PHASING_COMPOSITE_VOTE_LITERALS_COUNT`
    `static int` | `MAX_PHASING_COMPOSITE_VOTE_SUBPOLL_NAME_LENGTH`
    `static int` | `MAX_PHASING_COMPOSITE_VOTE_VARIABLES_COUNT`
    `static int` | `MAX_PHASING_DURATION`
    `static byte` | `MAX_PHASING_LINKED_TRANSACTIONS`
    `static int` | `MAX_PHASING_REVEALED_SECRET_LENGTH`
    `static int` | `MAX_PHASING_REVEALED_SECRETS_COUNT`
    `static byte` | `MAX_PHASING_VOTE_TRANSACTIONS`
    `static byte` | `MAX_PHASING_WHITELIST_SIZE`
    `static int` | `MAX_POLL_DESCRIPTION_LENGTH`
    `static int` | `MAX_POLL_DURATION`
    `static int` | `MAX_POLL_NAME_LENGTH`
    `static int` | `MAX_POLL_OPTION_COUNT`
    `static int` | `MAX_POLL_OPTION_LENGTH`
    `static int` | `MAX_PRUNABLE_ENCRYPTED_MESSAGE_LENGTH`
    `static int` | `MAX_PRUNABLE_LIFETIME`
    `static int` | `MAX_PRUNABLE_MESSAGE_LENGTH`
    `static int` | `MAX_REFERENCED_TRANSACTION_TIMESPAN`
    `static int` | `MAX_ROLLBACK`
    `static short` | `MAX_SHUFFLING_REGISTRATION_PERIOD`
    `static int` | `MAX_SINGLETON_ASSET_DESCRIPTION_LENGTH`
    `static int` | `MAX_TAGGED_DATA_CHANNEL_LENGTH`
    `static int` | `MAX_TAGGED_DATA_DATA_LENGTH`
    `static int` | `MAX_TAGGED_DATA_DESCRIPTION_LENGTH`
    `static int` | `MAX_TAGGED_DATA_FILENAME_LENGTH`
    `static int` | `MAX_TAGGED_DATA_NAME_LENGTH`
    `static int` | `MAX_TAGGED_DATA_TAGS_LENGTH`
    `static int` | `MAX_TAGGED_DATA_TYPE_LENGTH`
    `static int` | `MAX_TIMEDRIFT`
    `static byte` | `MAX_VOTE_VALUE`
    `static int` | `MIN_ASSET_NAME_LENGTH`
    `static long` | `MIN_BASE_TARGET`
    `static int` | `MIN_BLOCKTIME_DELTA`
    `static int` | `MIN_CURRENCY_CODE_LENGTH`
    `static int` | `MIN_CURRENCY_NAME_LENGTH`
    `static int` | `MIN_DIVIDEND_PAYMENT_INTERVAL`
    `static long` | `MIN_FORGING_BALANCE_FQT`
    `static byte` | `MIN_NUMBER_OF_SHUFFLING_PARTICIPANTS`
    `static int[]` | `MIN_PROXY_VERSION`
    `static int` | `MIN_PRUNABLE_LIFETIME`
    `static int[]` | `MIN_VERSION`
    `static byte` | `MIN_VOTE_VALUE`
    `static int` | `minBundlerBalanceFXT`
    `static int` | `minBundlerFeeLimitFXT`
    `static int` | `MISSING_TX_SENDER_BLOCK`
    `static int` | `MPG_BLOCK`
    `static byte` | `NO_VOTE_VALUE`
    `static long` | `ONE_FXT`
    `static java.math.BigInteger` | `ONE_FXT_BIG_INTEGER`
    `static java.lang.String` | `ROLE_MAPPING_ACCOUNT_PROPERTY`
    `static int` | `SHUFFLER_EXPIRATION_DELAY_BLOCKS`
    `static short` | `SHUFFLING_PROCESSING_DEADLINE`
    `static int` | `TESTNET_ACCELERATION`
    `static long` | `UNCONFIRMED_POOL_DEPOSIT_FQT`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### isTestnet

          public static final boolean isTestnet

    - #### isOffline

          public static final boolean isOffline

    - #### isLightClient

          public static final boolean isLightClient

    - #### isPermissioned

          public static final boolean isPermissioned

    - #### isAutomatedTest

          public static final boolean isAutomatedTest

    - #### ALL_SECRET_PHRASE_WORDS

          public static final java.lang.String[] ALL_SECRET_PHRASE_WORDS

    - #### COMPRESSED_SECRET_PHRASE_WORDS

          public static final java.lang.String COMPRESSED_SECRET_PHRASE_WORDS

    - #### ROLE_MAPPING_ACCOUNT_PROPERTY

          public static final java.lang.String ROLE_MAPPING_ACCOUNT_PROPERTY

      See Also:
        Constant Field Values

    - #### ACCOUNT_PREFIX

          public static final java.lang.String ACCOUNT_PREFIX

      See Also:
        Constant Field Values

    - #### MAX_NUMBER_OF_FXT_TRANSACTIONS

          public static final int MAX_NUMBER_OF_FXT_TRANSACTIONS

      See Also:
        Constant Field Values

    - #### MAX_NUMBER_OF_CHILD_TRANSACTIONS

          public static final int MAX_NUMBER_OF_CHILD_TRANSACTIONS

      See Also:
        Constant Field Values

    - #### MAX_CHILDBLOCK_PAYLOAD_LENGTH

          public static final int MAX_CHILDBLOCK_PAYLOAD_LENGTH

      See Also:
        Constant Field Values

    - #### EPOCH_BEGINNING

          public static final long EPOCH_BEGINNING

    - #### customLoginWarning

          public static final java.lang.String customLoginWarning

    - #### MAX_BALANCE_FXT

          public static final long MAX_BALANCE_FXT

      See Also:
        Constant Field Values

    - #### ONE_FXT

          public static final long ONE_FXT

      See Also:
        Constant Field Values

    - #### ONE_FXT_BIG_INTEGER

          public static final java.math.BigInteger ONE_FXT_BIG_INTEGER

    - #### MAX_BALANCE_NQT

          public static final long MAX_BALANCE_NQT

      See Also:
        Constant Field Values

    - #### BLOCK_TIME

          public static final int BLOCK_TIME

      See Also:
        Constant Field Values

    - #### TESTNET_ACCELERATION

          public static final int TESTNET_ACCELERATION

      See Also:
        Constant Field Values

    - #### INITIAL_BASE_TARGET

          public static final long INITIAL_BASE_TARGET

    - #### MAX_BASE_TARGET

          public static final long MAX_BASE_TARGET

    - #### MIN_BASE_TARGET

          public static final long MIN_BASE_TARGET

    - #### MIN_BLOCKTIME_DELTA

          public static final int MIN_BLOCKTIME_DELTA

      See Also:
        Constant Field Values

    - #### MAX_BLOCKTIME_DELTA

          public static final int MAX_BLOCKTIME_DELTA

      See Also:
        Constant Field Values

    - #### BASE_TARGET_GAMMA

          public static final int BASE_TARGET_GAMMA

      See Also:
        Constant Field Values

    - #### MAX_ROLLBACK

          public static final int MAX_ROLLBACK

    - #### GUARANTEED_BALANCE_CONFIRMATIONS

          public static final int GUARANTEED_BALANCE_CONFIRMATIONS

    - #### LEASING_DELAY

          public static final int LEASING_DELAY

    - #### MIN_FORGING_BALANCE_FQT

          public static final long MIN_FORGING_BALANCE_FQT

      See Also:
        Constant Field Values

    - #### MAX_TIMEDRIFT

          public static final int MAX_TIMEDRIFT

      See Also:
        Constant Field Values

    - #### FORGING_DELAY

          public static final int FORGING_DELAY

    - #### FORGING_SPEEDUP

          public static final int FORGING_SPEEDUP

    - #### DEFAULT_NUMBER_OF_FORK_CONFIRMATIONS

          public static final int DEFAULT_NUMBER_OF_FORK_CONFIRMATIONS

    - #### BATCH_COMMIT_SIZE

          public static final int BATCH_COMMIT_SIZE

    - #### MAX_PHASING_VOTE_TRANSACTIONS

          public static final byte MAX_PHASING_VOTE_TRANSACTIONS

      See Also:
        Constant Field Values

    - #### MAX_PHASING_WHITELIST_SIZE

          public static final byte MAX_PHASING_WHITELIST_SIZE

      See Also:
        Constant Field Values

    - #### MAX_PHASING_LINKED_TRANSACTIONS

          public static final byte MAX_PHASING_LINKED_TRANSACTIONS

      See Also:
        Constant Field Values

    - #### MAX_PHASING_DURATION

          public static final int MAX_PHASING_DURATION

      See Also:
        Constant Field Values

    - #### MAX_PHASING_REVEALED_SECRETS_COUNT

          public static final int MAX_PHASING_REVEALED_SECRETS_COUNT

      See Also:
        Constant Field Values

    - #### MAX_PHASING_REVEALED_SECRET_LENGTH

          public static final int MAX_PHASING_REVEALED_SECRET_LENGTH

      See Also:
        Constant Field Values

    - #### MAX_PHASING_COMPOSITE_VOTE_EXPRESSION_LENGTH

          public static final int MAX_PHASING_COMPOSITE_VOTE_EXPRESSION_LENGTH

      See Also:
        Constant Field Values

    - #### MAX_PHASING_COMPOSITE_VOTE_SUBPOLL_NAME_LENGTH

          public static final int MAX_PHASING_COMPOSITE_VOTE_SUBPOLL_NAME_LENGTH

      See Also:
        Constant Field Values

    - #### MAX_PHASING_COMPOSITE_VOTE_VARIABLES_COUNT

          public static final int MAX_PHASING_COMPOSITE_VOTE_VARIABLES_COUNT

      See Also:
        Constant Field Values

    - #### MAX_PHASING_COMPOSITE_VOTE_LITERALS_COUNT

          public static final int MAX_PHASING_COMPOSITE_VOTE_LITERALS_COUNT

      See Also:
        Constant Field Values

    - #### MAX_ALIAS_URI_LENGTH

          public static final int MAX_ALIAS_URI_LENGTH

      See Also:
        Constant Field Values

    - #### MAX_ALIAS_LENGTH

          public static final int MAX_ALIAS_LENGTH

      See Also:
        Constant Field Values

    - #### MAX_ARBITRARY_MESSAGE_LENGTH

          public static final int MAX_ARBITRARY_MESSAGE_LENGTH

      See Also:
        Constant Field Values

    - #### MAX_ENCRYPTED_MESSAGE_LENGTH

          public static final int MAX_ENCRYPTED_MESSAGE_LENGTH

      See Also:
        Constant Field Values

    - #### MAX_PRUNABLE_MESSAGE_LENGTH

          public static final int MAX_PRUNABLE_MESSAGE_LENGTH

      See Also:
        Constant Field Values

    - #### MAX_PRUNABLE_ENCRYPTED_MESSAGE_LENGTH

          public static final int MAX_PRUNABLE_ENCRYPTED_MESSAGE_LENGTH

      See Also:
        Constant Field Values

    - #### MIN_PRUNABLE_LIFETIME

          public static final int MIN_PRUNABLE_LIFETIME

    - #### MAX_PRUNABLE_LIFETIME

          public static final int MAX_PRUNABLE_LIFETIME

    - #### ENABLE_PRUNING

          public static final boolean ENABLE_PRUNING

    - #### INCLUDE_EXPIRED_PRUNABLE

          public static final boolean INCLUDE_EXPIRED_PRUNABLE

    - #### MAX_ACCOUNT_NAME_LENGTH

          public static final int MAX_ACCOUNT_NAME_LENGTH

      See Also:
        Constant Field Values

    - #### MAX_ACCOUNT_DESCRIPTION_LENGTH

          public static final int MAX_ACCOUNT_DESCRIPTION_LENGTH

      See Also:
        Constant Field Values

    - #### MAX_ACCOUNT_PROPERTY_NAME_LENGTH

          public static final int MAX_ACCOUNT_PROPERTY_NAME_LENGTH

      See Also:
        Constant Field Values

    - #### MAX_ACCOUNT_PROPERTY_VALUE_LENGTH

          public static final int MAX_ACCOUNT_PROPERTY_VALUE_LENGTH

      See Also:
        Constant Field Values

    - #### MAX_ASSET_PROPERTY_NAME_LENGTH

          public static final int MAX_ASSET_PROPERTY_NAME_LENGTH

      See Also:
        Constant Field Values

    - #### MAX_ASSET_PROPERTY_VALUE_LENGTH

          public static final int MAX_ASSET_PROPERTY_VALUE_LENGTH

      See Also:
        Constant Field Values

    - #### MAX_ASSET_QUANTITY_QNT

          public static final long MAX_ASSET_QUANTITY_QNT

      See Also:
        Constant Field Values

    - #### MIN_ASSET_NAME_LENGTH

          public static final int MIN_ASSET_NAME_LENGTH

      See Also:
        Constant Field Values

    - #### MAX_ASSET_NAME_LENGTH

          public static final int MAX_ASSET_NAME_LENGTH

      See Also:
        Constant Field Values

    - #### MAX_ASSET_DESCRIPTION_LENGTH

          public static final int MAX_ASSET_DESCRIPTION_LENGTH

      See Also:
        Constant Field Values

    - #### MAX_SINGLETON_ASSET_DESCRIPTION_LENGTH

          public static final int MAX_SINGLETON_ASSET_DESCRIPTION_LENGTH

      See Also:
        Constant Field Values

    - #### MAX_DIVIDEND_PAYMENT_ROLLBACK

          public static final int MAX_DIVIDEND_PAYMENT_ROLLBACK

      See Also:
        Constant Field Values

    - #### MIN_DIVIDEND_PAYMENT_INTERVAL

          public static final int MIN_DIVIDEND_PAYMENT_INTERVAL

    - #### MAX_POLL_NAME_LENGTH

          public static final int MAX_POLL_NAME_LENGTH

      See Also:
        Constant Field Values

    - #### MAX_POLL_DESCRIPTION_LENGTH

          public static final int MAX_POLL_DESCRIPTION_LENGTH

      See Also:
        Constant Field Values

    - #### MAX_POLL_OPTION_LENGTH

          public static final int MAX_POLL_OPTION_LENGTH

      See Also:
        Constant Field Values

    - #### MAX_POLL_OPTION_COUNT

          public static final int MAX_POLL_OPTION_COUNT

      See Also:
        Constant Field Values

    - #### MAX_POLL_DURATION

          public static final int MAX_POLL_DURATION

      See Also:
        Constant Field Values

    - #### MIN_VOTE_VALUE

          public static final byte MIN_VOTE_VALUE

      See Also:
        Constant Field Values

    - #### MAX_VOTE_VALUE

          public static final byte MAX_VOTE_VALUE

      See Also:
        Constant Field Values

    - #### NO_VOTE_VALUE

          public static final byte NO_VOTE_VALUE

      See Also:
        Constant Field Values

    - #### MAX_DGS_LISTING_QUANTITY

          public static final int MAX_DGS_LISTING_QUANTITY

      See Also:
        Constant Field Values

    - #### MAX_DGS_LISTING_NAME_LENGTH

          public static final int MAX_DGS_LISTING_NAME_LENGTH

      See Also:
        Constant Field Values

    - #### MAX_DGS_LISTING_DESCRIPTION_LENGTH

          public static final int MAX_DGS_LISTING_DESCRIPTION_LENGTH

      See Also:
        Constant Field Values

    - #### MAX_DGS_LISTING_TAGS_LENGTH

          public static final int MAX_DGS_LISTING_TAGS_LENGTH

      See Also:
        Constant Field Values

    - #### MAX_DGS_GOODS_LENGTH

          public static final int MAX_DGS_GOODS_LENGTH

      See Also:
        Constant Field Values

    - #### MIN_CURRENCY_NAME_LENGTH

          public static final int MIN_CURRENCY_NAME_LENGTH

      See Also:
        Constant Field Values

    - #### MAX_CURRENCY_NAME_LENGTH

          public static final int MAX_CURRENCY_NAME_LENGTH

      See Also:
        Constant Field Values

    - #### MIN_CURRENCY_CODE_LENGTH

          public static final int MIN_CURRENCY_CODE_LENGTH

      See Also:
        Constant Field Values

    - #### MAX_CURRENCY_CODE_LENGTH

          public static final int MAX_CURRENCY_CODE_LENGTH

      See Also:
        Constant Field Values

    - #### MAX_CURRENCY_DESCRIPTION_LENGTH

          public static final int MAX_CURRENCY_DESCRIPTION_LENGTH

      See Also:
        Constant Field Values

    - #### MAX_CURRENCY_TOTAL_SUPPLY

          public static final long MAX_CURRENCY_TOTAL_SUPPLY

      See Also:
        Constant Field Values

    - #### MAX_MINTING_RATIO

          public static final int MAX_MINTING_RATIO

      See Also:
        Constant Field Values

    - #### MIN_NUMBER_OF_SHUFFLING_PARTICIPANTS

          public static final byte MIN_NUMBER_OF_SHUFFLING_PARTICIPANTS

      See Also:
        Constant Field Values

    - #### MAX_NUMBER_OF_SHUFFLING_PARTICIPANTS

          public static final byte MAX_NUMBER_OF_SHUFFLING_PARTICIPANTS

      See Also:
        Constant Field Values

    - #### MAX_SHUFFLING_REGISTRATION_PERIOD

          public static final short MAX_SHUFFLING_REGISTRATION_PERIOD

      See Also:
        Constant Field Values

    - #### SHUFFLING_PROCESSING_DEADLINE

          public static final short SHUFFLING_PROCESSING_DEADLINE

    - #### SHUFFLER_EXPIRATION_DELAY_BLOCKS

          public static final int SHUFFLER_EXPIRATION_DELAY_BLOCKS

    - #### MAX_TAGGED_DATA_NAME_LENGTH

          public static final int MAX_TAGGED_DATA_NAME_LENGTH

      See Also:
        Constant Field Values

    - #### MAX_TAGGED_DATA_DESCRIPTION_LENGTH

          public static final int MAX_TAGGED_DATA_DESCRIPTION_LENGTH

      See Also:
        Constant Field Values

    - #### MAX_TAGGED_DATA_TAGS_LENGTH

          public static final int MAX_TAGGED_DATA_TAGS_LENGTH

      See Also:
        Constant Field Values

    - #### MAX_TAGGED_DATA_TYPE_LENGTH

          public static final int MAX_TAGGED_DATA_TYPE_LENGTH

      See Also:
        Constant Field Values

    - #### MAX_TAGGED_DATA_CHANNEL_LENGTH

          public static final int MAX_TAGGED_DATA_CHANNEL_LENGTH

      See Also:
        Constant Field Values

    - #### MAX_TAGGED_DATA_FILENAME_LENGTH

          public static final int MAX_TAGGED_DATA_FILENAME_LENGTH

      See Also:
        Constant Field Values

    - #### MAX_TAGGED_DATA_DATA_LENGTH

          public static final int MAX_TAGGED_DATA_DATA_LENGTH

      See Also:
        Constant Field Values

    - #### MAX_CONTRACT_NAME_LENGTH

          public static final int MAX_CONTRACT_NAME_LENGTH

      See Also:
        Constant Field Values

    - #### MAX_CONTRACT_PARAMS_LENGTH

          public static final int MAX_CONTRACT_PARAMS_LENGTH

      See Also:
        Constant Field Values

    - #### MAX_REFERENCED_TRANSACTION_TIMESPAN

          public static final int MAX_REFERENCED_TRANSACTION_TIMESPAN

      See Also:
        Constant Field Values

    - #### CHECKSUM_BLOCK_1

          public static final int CHECKSUM_BLOCK_1

    - #### CHECKSUM_BLOCK_2

          public static final int CHECKSUM_BLOCK_2

    - #### LIGHT_CONTRACTS_BLOCK

          public static final int LIGHT_CONTRACTS_BLOCK

    - #### ASSET_PROPERTIES_BLOCK

          public static final int ASSET_PROPERTIES_BLOCK

    - #### MPG_BLOCK

          public static final int MPG_BLOCK

    - #### CHECKSUM_BLOCK_3

          public static final int CHECKSUM_BLOCK_3

    - #### CHECKSUM_BLOCK_4

          public static final int CHECKSUM_BLOCK_4

    - #### CHECKSUM_BLOCK_5

          public static final int CHECKSUM_BLOCK_5

    - #### MISSING_TX_SENDER_BLOCK

          public static final int MISSING_TX_SENDER_BLOCK

    - #### LAST_CHECKSUM_BLOCK

          public static final int LAST_CHECKSUM_BLOCK

    - #### LAST_KNOWN_BLOCK

          public static final int LAST_KNOWN_BLOCK

    - #### LAST_KNOWN_BLOCK_ID

          public static final long LAST_KNOWN_BLOCK_ID

    - #### MIN_VERSION

          public static final int[] MIN_VERSION

    - #### MIN_PROXY_VERSION

          public static final int[] MIN_PROXY_VERSION

    - #### UNCONFIRMED_POOL_DEPOSIT_FQT

          public static final long UNCONFIRMED_POOL_DEPOSIT_FQT

      See Also:
        Constant Field Values

    - #### correctInvalidFees

          public static final boolean correctInvalidFees

    - #### minBundlerBalanceFXT

          public static final int minBundlerBalanceFXT

    - #### minBundlerFeeLimitFXT

          public static final int minBundlerFeeLimitFXT

    - #### ALPHABET

          public static final java.lang.String ALPHABET

      See Also:
        Constant Field Values

    - #### ALLOWED_CURRENCY_CODE_LETTERS

          public static final java.lang.String ALLOWED_CURRENCY_CODE_LETTERS

      See Also:
        Constant Field Values

    - #### BURN_ACCOUNT_ID

          public static final long BURN_ACCOUNT_ID

    - #### DISABLE_FULL_TEXT_SEARCH

          public static final boolean DISABLE_FULL_TEXT_SEARCH

    - #### DISABLE_METADATA_DETECTION

          public static final boolean DISABLE_METADATA_DETECTION